%define upstream_name    Object-Pad
%define upstream_version 0.78

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 1

Summary:    Build-time support for extensions to C<Object::Pad>
License:    GPLv1+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://www.cpan.org/modules/by-module/Object/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(ExtUtils::CBuilder)
BuildRequires: perl(Module::Build) >= 0.400.400
BuildRequires: perl(Test::Fatal)
BuildRequires: perl(Test::More) >= 0.880.0
BuildRequires: perl(Test::Refcount)
BuildRequires: perl(XS::Parse::Keyword) >= 0.290.0
BuildRequires: perl(XS::Parse::Keyword::Builder) >= 0.290.0
BuildRequires: perl(XS::Parse::Sublike) >= 0.150.0
BuildRequires: perl(XS::Parse::Sublike::Builder) >= 0.150.0
BuildRequires: perl-devel
%description
This module provides a simple syntax for creating object classes, which
uses private variables that look like lexicals as object member fields.

While most of this module has evolved into a stable state in practice,
parts remain *experimental* because the design is still evolving, and many
features and ideas have yet to implemented. I don't yet guarantee I won't
have to change existing details in order to continue its development. Feel
free to try it out in experimental or newly-developed code, but don't
complain if a later version is incompatible with your current code and
you'll have to change it.

That all said, please do get in contact if you find the module overall
useful. The more feedback you provide in terms of what features you are
using, what you find works, and what doesn't, will help the ongoing
development and hopefully eventual stability of the design. See the the
/FEEDBACK manpage section.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Build.PL --installdirs=vendor

./Build

%check
./Build test

%install
./Build install --destdir=%{buildroot}

%files
%doc Changes LICENSE META.json META.yml MYMETA.yml README
%{_mandir}/man3/*
%perl_vendorarch/*

%changelog
* Mon Jan 16 2023 tv <tv> 0.780.0-1.mga9
+ Revision: 1933764
- update to 0.78

* Wed Dec 21 2022 tv <tv> 0.770.0-1.mga9
+ Revision: 1925552
- update to 0.77

* Mon Dec 19 2022 tv <tv> 0.760.0-1.mga9
+ Revision: 1925272
- update to 0.76

* Thu Dec 15 2022 tv <tv> 0.750.0-1.mga9
+ Revision: 1923071
- update to 0.75
- update to 0.74

* Fri Nov 04 2022 tv <tv> 0.710.0-1.mga9
+ Revision: 1902540
- update to 0.71

* Tue Nov 01 2022 tv <tv> 0.700.0-1.mga9
+ Revision: 1901046
- imported package perl-Object-Pad

